/* ------------------------------------------------------------------------------- */
/* CUSTOM UKURAN LEBAR UNTUK SUB MENU */
/* ------------------------------------------------------------------------------- */
#navigation ul ul li {
	width: 320px;
}

/* ------------------------------------------------------------------------------- */
/* CUSTOM UKURAN BOX KATEGORI PENELITIAN */
/* ------------------------------------------------------------------------------- */
@media (min-width: 1240px) {
	.utf_category_small_box_part {
		width:calc(100% * (1/3) - 20px);
	}
}

/* ------------------------------------------------------------------------------- */
/* CUSTOM UKURAN BOX DI BAWAH KOLOM PENCARIAN PADA HALAMAN BERANDA */
/* ------------------------------------------------------------------------------- */
ul.main_popular_categories_list li {
	/* margin: 2px; */
	margin-top: 15px;
	margin-right: 2px;
	margin-bottom: 2px;
	margin-left: 2px;
	list-style: none;
	display: inline-block;
	text-align: center;
}



/* ------------------------------------------------------------------------------- */
/* CUSTOM TITLE HASIL PENDARIAN */
/* ------------------------------------------------------------------------------- */
.data_cari {
  text-align: center;
	color:#fff;
	font-size:18px;
}

/* ------------------------------------------------------------------------------- */
/* CUSTOM BINGKAI LINGKARAN PADA IKON USER */
/* ------------------------------------------------------------------------------- */
#circle_custom h5 i {
	padding-top:40px;
	margin-right: 10px;
	color:#fff;
	width:40px;
	height:40px;
	background:#989898;
	padding:10px;
	border-radius:50%;
}

#readmore_custom a.read-more {
	color: #989898;
	margin: 0;
	font-weight:500;
	display: inline-block;
}

/* ------------------------------------------------------------------------------- */
/* CUSTOM DIALOG LOGIN */
/* ------------------------------------------------------------------------------- */
#small-dialog .mfp-close, #dialog_login, .mfp-close, .mfp-close:hover {
	color: #fff;
}
#dialog_login .mfp-close, #small-dialog .mfp-close {
	color: #ff2222;
	background-color:#fff;
	border-radius: 30px;
	top: 20px;
	right: 20px;
	width: 34px;
	height: 34px;
}
#dialog_login .mfp-close:hover, #small-dialog .mfp-close:hover {
	color: #666;
	transform: rotate(0);
	background-color: #e4e4e4 !important;
}
#dialog_login .mfp-close::after, #dialog_login .mfp-close::before, #small-dialog .mfp-close::after, #small-dialog .mfp-close::before {
	top: 0px;
	height: 9px;
	font-size: 21px;
	transition: 0s;
}
.small-dialog-content input[type=submit] {
	width: 100%;
	margin-top: 26px;
	margin-bottom: 10px;
}
.small-dialog-content .divider {
	display: inline-block;
	width: 100%;
	margin-top: 15px;
	padding-bottom: 0;
}
.small_dialog_header {
	font-size: 22px;
	width: calc(100% + 40px);
	position: relative;
	left: -20px;
	top: 0;
	border-radius: 4px 4px 0 0;
	display: inline-block;
	background-color:#989898;
	padding: 25px;
	margin-bottom: 20px;
}
.small_dialog_header h3 {
	font-weight: 700;
	padding: 0;
	margin: 0;
	color: #fff;
	font-size: 22px;
}
.mfp-counter {
	position: absolute;
	top: 0;
	right: 0;
	color: #aaa;
	font-size: 13px;
	line-height: 18px;
}
.mfp-arrow {
	opacity: 1;
	margin: 0 20px;
	top: 50%;
	transform: translateY(-50%);
	z-index: 9999;
	color: #fff;
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	-ms-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
	cursor: pointer;
	width: 44px;
	height: 44px;
	position: absolute;
	display: block;
	z-index: 100;
	overflow: hidden;
	background: rgba(255,255,255,0.15);
	border-radius:6px;
	outline: none;
}
.mfp-arrow:hover {
	background: #ff2222;
	color: #fff;
}
.mfp-arrow.mfp-arrow-left, .mfp-arrow.mfp-arrow-right {
	font-family: "simple-line-icons";
	font-size: 20px;
}
.mfp-arrow.mfp-arrow-right {
	right: 15px;
}
.mfp-arrow.mfp-arrow-left:before {
	content: "\e605";
	left: -1px;
	top: 0px;
	position: relative;
}
.mfp-arrow.mfp-arrow-right:before {
	content: "\e606";
	left: 1px;
	top: 0px;
	position: relative;
}
.mfp-content:hover .mfp-arrow {
	opacity: 1;
}
.mfp-iframe-holder {
	padding-top: 40px;
	padding-bottom: 40px;
}
.mfp-iframe-holder .mfp-content {
	line-height: 0;
	width: 100%;
	max-width: 1180px;
}
.mfp-iframe-scaler {
	width: 100%;
	height: 0;
	overflow: hidden;
	padding-top: 54%;
}
.mfp-iframe-scaler iframe {
	position: absolute;
	display: block;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	box-shadow: 0 0 8px rgba(0,0,0,0.6);
	background: black;
}
#small-dialog .utf_message_reply_block, #small-dialog .utf_message_reply_block button{
	text-align:center;
	margin-right:0
}
#small-dialog .utf_message_reply_block button{
	line-height:26px;
}
#dialog_login, #small-dialog {
	background: #ffffff;
	padding:30px 20px;
	padding-top: 0;
	text-align: left;
	max-width: 400px;
	margin: 20px auto;
	position: relative;
	box-sizing: border-box;
	border-radius: 4px;
}
#dialog_login {
	max-width: 450px;
}
#dialog_login span.line, #small-dialog span.line {
	padding-top: 0;
}
.my-mfp-zoom-in .zoom-anim-dialog {
	opacity: 0;
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
	-webkit-transform: scale(0.8);
	-moz-transform: scale(0.8);
	-ms-transform: scale(0.8);
	-o-transform: scale(0.8);
	transform: scale(0.8);
}
.my-mfp-zoom-in.mfp-ready .zoom-anim-dialog {
	opacity: 1;
	-webkit-transform: scale(1);
	-moz-transform: scale(1);
	-ms-transform: scale(1);
	-o-transform: scale(1);
	transform: scale(1);
}
.my-mfp-zoom-in.mfp-removing .zoom-anim-dialog {
	-webkit-transform: scale(0.8);
	-moz-transform: scale(0.8);
	-ms-transform: scale(0.8);
	-o-transform: scale(0.8);
	transform: scale(0.8);
	opacity: 0;
}
.my-mfp-zoom-in.mfp-bg {
	opacity: 0.001;
	-webkit-transition: opacity 0.3s ease-out;
	-moz-transition: opacity 0.3s ease-out;
	-o-transition: opacity 0.3s ease-out;
	transition: opacity 0.3s ease-out;
}
.my-mfp-zoom-in.mfp-ready.mfp-bg {
	opacity: 0.8;
}
.my-mfp-zoom-in.mfp-removing.mfp-bg {
	opacity: 0;
}
img.mfp-img {
	width: auto;
	max-width: 100%;
	height: auto;
	display: block;
	line-height: 0;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	margin: 40px auto;
	border-radius: 30px;
	border:6px solid rgba(255, 255, 255, 0.2);
}
.mfp-figure:after {
	content: '';
	position: absolute;
	left: 0;
	top: 40px;
	bottom: 40px;
	display: block;
	right: 0;
	width: auto;
	height: auto;
	z-index: -1;
	box-shadow: 0 0 18px rgba(11,11,11,0.6);
}
.mfp-figure {
	line-height: 0;
}
.mfp-bottom-bar {
	margin-top: -30px;
	position: absolute;
	top: 100%;
	left: 0;
	width: 100%;
	cursor: auto;
}
.mfp-title {
	text-align: left;
	line-height: 18px;
	color: #f3f3f3;
	word-break: break-word;
	padding-right: 36px;
}
.mfp-figure small {
	color: #bdbdbd;
	display: block;
	font-size: 12px;
	line-height: 14px;
}
.mfp-image-holder .mfp-content {
	max-width: 100%;
}
.utf_gallery .mfp-image-holder .mfp-figure {
	cursor: pointer;
}

/* ------------------------------------------------------------------------------- */
/* CUSTOM DIALOG DAFTAR */
/* ------------------------------------------------------------------------------- */
#small-dialog .mfp-close, #dialog_register, .mfp-close, .mfp-close:hover {
	color: #fff;
}
#dialog_register .mfp-close, #small-dialog .mfp-close {
	color: #ff2222;
	background-color:#fff;
	border-radius: 30px;
	top: 20px;
	right: 20px;
	width: 34px;
	height: 34px;
}
#dialog_register .mfp-close:hover, #small-dialog .mfp-close:hover {
	color: #666;
	transform: rotate(0);
	background-color: #e4e4e4 !important;
}
#dialog_register .mfp-close::after, #dialog_register .mfp-close::before, #small-dialog .mfp-close::after, #small-dialog .mfp-close::before {
	top: 0px;
	height: 9px;
	font-size: 21px;
	transition: 0s;
}
.small-dialog-content input[type=submit] {
	width: 100%;
	margin-top: 26px;
	margin-bottom: 10px;
}
.small-dialog-content .divider {
	display: inline-block;
	width: 100%;
	margin-top: 15px;
	padding-bottom: 0;
}
.small_dialog_header {
	font-size: 22px;
	width: calc(100% + 40px);
	position: relative;
	left: -20px;
	top: 0;
	border-radius: 4px 4px 0 0;
	display: inline-block;
	background-color:#989898;
	padding: 25px;
	margin-bottom: 20px;
}
.small_dialog_header h3 {
	font-weight: 700;
	padding: 0;
	margin: 0;
	color: #fff;
	font-size: 22px;
}
.mfp-counter {
	position: absolute;
	top: 0;
	right: 0;
	color: #aaa;
	font-size: 13px;
	line-height: 18px;
}
.mfp-arrow {
	opacity: 1;
	margin: 0 20px;
	top: 50%;
	transform: translateY(-50%);
	z-index: 9999;
	color: #fff;
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	-ms-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
	cursor: pointer;
	width: 44px;
	height: 44px;
	position: absolute;
	display: block;
	z-index: 100;
	overflow: hidden;
	background: rgba(255,255,255,0.15);
	border-radius:6px;
	outline: none;
}
.mfp-arrow:hover {
	background: #ff2222;
	color: #fff;
}
.mfp-arrow.mfp-arrow-left, .mfp-arrow.mfp-arrow-right {
	font-family: "simple-line-icons";
	font-size: 20px;
}
.mfp-arrow.mfp-arrow-right {
	right: 15px;
}
.mfp-arrow.mfp-arrow-left:before {
	content: "\e605";
	left: -1px;
	top: 0px;
	position: relative;
}
.mfp-arrow.mfp-arrow-right:before {
	content: "\e606";
	left: 1px;
	top: 0px;
	position: relative;
}
.mfp-content:hover .mfp-arrow {
	opacity: 1;
}
.mfp-iframe-holder {
	padding-top: 40px;
	padding-bottom: 40px;
}
.mfp-iframe-holder .mfp-content {
	line-height: 0;
	width: 100%;
	max-width: 1180px;
}
.mfp-iframe-scaler {
	width: 100%;
	height: 0;
	overflow: hidden;
	padding-top: 54%;
}
.mfp-iframe-scaler iframe {
	position: absolute;
	display: block;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	box-shadow: 0 0 8px rgba(0,0,0,0.6);
	background: black;
}
#small-dialog .utf_message_reply_block, #small-dialog .utf_message_reply_block button{
	text-align:center;
	margin-right:0
}
#small-dialog .utf_message_reply_block button{
	line-height:26px;
}
#dialog_register, #small-dialog {
	background: #ffffff;
	padding:30px 20px;
	padding-top: 0;
	text-align: left;
	max-width: 400px;
	margin: 20px auto;
	position: relative;
	box-sizing: border-box;
	border-radius: 4px;
}
#dialog_register {
	max-width: 450px;
}
#dialog_register span.line, #small-dialog span.line {
	padding-top: 0;
}
.my-mfp-zoom-in .zoom-anim-dialog {
	opacity: 0;
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
	-webkit-transform: scale(0.8);
	-moz-transform: scale(0.8);
	-ms-transform: scale(0.8);
	-o-transform: scale(0.8);
	transform: scale(0.8);
}
.my-mfp-zoom-in.mfp-ready .zoom-anim-dialog {
	opacity: 1;
	-webkit-transform: scale(1);
	-moz-transform: scale(1);
	-ms-transform: scale(1);
	-o-transform: scale(1);
	transform: scale(1);
}
.my-mfp-zoom-in.mfp-removing .zoom-anim-dialog {
	-webkit-transform: scale(0.8);
	-moz-transform: scale(0.8);
	-ms-transform: scale(0.8);
	-o-transform: scale(0.8);
	transform: scale(0.8);
	opacity: 0;
}
.my-mfp-zoom-in.mfp-bg {
	opacity: 0.001;
	-webkit-transition: opacity 0.3s ease-out;
	-moz-transition: opacity 0.3s ease-out;
	-o-transition: opacity 0.3s ease-out;
	transition: opacity 0.3s ease-out;
}
.my-mfp-zoom-in.mfp-ready.mfp-bg {
	opacity: 0.8;
}
.my-mfp-zoom-in.mfp-removing.mfp-bg {
	opacity: 0;
}
img.mfp-img {
	width: auto;
	max-width: 100%;
	height: auto;
	display: block;
	line-height: 0;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	margin: 40px auto;
	border-radius: 30px;
	border:6px solid rgba(255, 255, 255, 0.2);
}
.mfp-figure:after {
	content: '';
	position: absolute;
	left: 0;
	top: 40px;
	bottom: 40px;
	display: block;
	right: 0;
	width: auto;
	height: auto;
	z-index: -1;
	box-shadow: 0 0 18px rgba(11,11,11,0.6);
}
.mfp-figure {
	line-height: 0;
}
.mfp-bottom-bar {
	margin-top: -30px;
	position: absolute;
	top: 100%;
	left: 0;
	width: 100%;
	cursor: auto;
}
.mfp-title {
	text-align: left;
	line-height: 18px;
	color: #f3f3f3;
	word-break: break-word;
	padding-right: 36px;
}
.mfp-figure small {
	color: #bdbdbd;
	display: block;
	font-size: 12px;
	line-height: 14px;
}
.mfp-image-holder .mfp-content {
	max-width: 100%;
}
.utf_gallery .mfp-image-holder .mfp-figure {
	cursor: pointer;
}

/* ------------------------------------------------------------------------------- */
/* CUSTOM DIALOG DOWNLOAD */
/* ------------------------------------------------------------------------------- */
#small-dialog .mfp-close, #dialog_download, .mfp-close, .mfp-close:hover {
	color: #fff;
}
#dialog_download .mfp-close, #small-dialog .mfp-close {
	color: #ff2222;
	background-color:#fff;
	border-radius: 30px;
	top: 20px;
	right: 20px;
	width: 34px;
	height: 34px;
}
#dialog_download .mfp-close:hover, #small-dialog .mfp-close:hover {
	color: #666;
	transform: rotate(0);
	background-color: #e4e4e4 !important;
}
#dialog_download .mfp-close::after, #dialog_download .mfp-close::before, #small-dialog .mfp-close::after, #small-dialog .mfp-close::before {
	top: 0px;
	height: 9px;
	font-size: 21px;
	transition: 0s;
}
.small-dialog-content input[type=submit] {
	width: 100%;
	margin-top: 26px;
	margin-bottom: 10px;
}
.small-dialog-content .divider {
	display: inline-block;
	width: 100%;
	margin-top: 15px;
	padding-bottom: 0;
}
.small_dialog_header {
	font-size: 22px;
	width: calc(100% + 40px);
	position: relative;
	left: -20px;
	top: 0;
	border-radius: 4px 4px 0 0;
	display: inline-block;
	background-color:#989898;
	padding: 25px;
	margin-bottom: 20px;
}
.small_dialog_header h3 {
	font-weight: 700;
	padding: 0;
	margin: 0;
	color: #fff;
	font-size: 22px;
}
.mfp-counter {
	position: absolute;
	top: 0;
	right: 0;
	color: #aaa;
	font-size: 13px;
	line-height: 18px;
}
.mfp-arrow {
	opacity: 1;
	margin: 0 20px;
	top: 50%;
	transform: translateY(-50%);
	z-index: 9999;
	color: #fff;
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	-ms-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
	cursor: pointer;
	width: 44px;
	height: 44px;
	position: absolute;
	display: block;
	z-index: 100;
	overflow: hidden;
	background: rgba(255,255,255,0.15);
	border-radius:6px;
	outline: none;
}
.mfp-arrow:hover {
	background: #ff2222;
	color: #fff;
}
.mfp-arrow.mfp-arrow-left, .mfp-arrow.mfp-arrow-right {
	font-family: "simple-line-icons";
	font-size: 20px;
}
.mfp-arrow.mfp-arrow-right {
	right: 15px;
}
.mfp-arrow.mfp-arrow-left:before {
	content: "\e605";
	left: -1px;
	top: 0px;
	position: relative;
}
.mfp-arrow.mfp-arrow-right:before {
	content: "\e606";
	left: 1px;
	top: 0px;
	position: relative;
}
.mfp-content:hover .mfp-arrow {
	opacity: 1;
}
.mfp-iframe-holder {
	padding-top: 40px;
	padding-bottom: 40px;
}
.mfp-iframe-holder .mfp-content {
	line-height: 0;
	width: 100%;
	max-width: 1180px;
}
.mfp-iframe-scaler {
	width: 100%;
	height: 0;
	overflow: hidden;
	padding-top: 54%;
}
.mfp-iframe-scaler iframe {
	position: absolute;
	display: block;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	box-shadow: 0 0 8px rgba(0,0,0,0.6);
	background: black;
}
#small-dialog .utf_message_reply_block, #small-dialog .utf_message_reply_block button{
	text-align:center;
	margin-right:0
}
#small-dialog .utf_message_reply_block button{
	line-height:26px;
}
#dialog_download, #small-dialog {
	background: #ffffff;
	padding:30px 20px;
	padding-top: 0;
	text-align: left;
	max-width: 400px;
	margin: 20px auto;
	position: relative;
	box-sizing: border-box;
	border-radius: 4px;
}
#dialog_download {
	max-width: 450px;
}
#dialog_download span.line, #small-dialog span.line {
	padding-top: 0;
}
.my-mfp-zoom-in .zoom-anim-dialog {
	opacity: 0;
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
	-webkit-transform: scale(0.8);
	-moz-transform: scale(0.8);
	-ms-transform: scale(0.8);
	-o-transform: scale(0.8);
	transform: scale(0.8);
}
.my-mfp-zoom-in.mfp-ready .zoom-anim-dialog {
	opacity: 1;
	-webkit-transform: scale(1);
	-moz-transform: scale(1);
	-ms-transform: scale(1);
	-o-transform: scale(1);
	transform: scale(1);
}
.my-mfp-zoom-in.mfp-removing .zoom-anim-dialog {
	-webkit-transform: scale(0.8);
	-moz-transform: scale(0.8);
	-ms-transform: scale(0.8);
	-o-transform: scale(0.8);
	transform: scale(0.8);
	opacity: 0;
}
.my-mfp-zoom-in.mfp-bg {
	opacity: 0.001;
	-webkit-transition: opacity 0.3s ease-out;
	-moz-transition: opacity 0.3s ease-out;
	-o-transition: opacity 0.3s ease-out;
	transition: opacity 0.3s ease-out;
}
.my-mfp-zoom-in.mfp-ready.mfp-bg {
	opacity: 0.8;
}
.my-mfp-zoom-in.mfp-removing.mfp-bg {
	opacity: 0;
}
img.mfp-img {
	width: auto;
	max-width: 100%;
	height: auto;
	display: block;
	line-height: 0;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	margin: 40px auto;
	border-radius: 30px;
	border:6px solid rgba(255, 255, 255, 0.2);
}
.mfp-figure:after {
	content: '';
	position: absolute;
	left: 0;
	top: 40px;
	bottom: 40px;
	display: block;
	right: 0;
	width: auto;
	height: auto;
	z-index: -1;
	box-shadow: 0 0 18px rgba(11,11,11,0.6);
}
.mfp-figure {
	line-height: 0;
}
.mfp-bottom-bar {
	margin-top: -30px;
	position: absolute;
	top: 100%;
	left: 0;
	width: 100%;
	cursor: auto;
}
.mfp-title {
	text-align: left;
	line-height: 18px;
	color: #f3f3f3;
	word-break: break-word;
	padding-right: 36px;
}
.mfp-figure small {
	color: #bdbdbd;
	display: block;
	font-size: 12px;
	line-height: 14px;
}
.mfp-image-holder .mfp-content {
	max-width: 100%;
}
.utf_gallery .mfp-image-holder .mfp-figure {
	cursor: pointer;
}


/* ------------------------------------------------------------------------------- */
/* CUSTOM MODAL */
/* ------------------------------------------------------------------------------- */
.modal {
	/* z-index: 1;	 */
	margin-top:20px;
}

.modal .modal-header{
	padding:10px 15px;
	background-color:#989898;
	border-color:#989898;

}

.modal .modal-title{
	color:white;
	font-size:18px;
}

.modal .modal-body{
	padding:10px 15px;
}

.modal-looding > .modal-dialog {
	background-color: '#fff!important';
	font-weight: bold;
	color: #1C48D2;
	font-size: 14px;
	margin-top:10px;
	z-index: 9999;
}

/* ------------------------------------------------------------------------------------------------------------------- */
/* CUSTOM FORM VALIDASI / INPUTAN VALIDASI */
/* ------------------------------------------------------------------------------------------------------------------- */

.was-validated .form-control:invalid, .form-control.is-invalid  {
  border-color: #dc3545;
  padding-right: calc(1.5em + 0.75rem);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}
.was-validated .form-control:invalid:focus, .form-control.is-invalid:focus {
  border-color: #dc3545;
  box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, 0.25);
}

.was-validated textarea.form-control:invalid, textarea.form-control.is-invalid {
  padding-right: calc(1.5em + 0.75rem);
  background-position: top calc(0.375em + 0.1875rem) right calc(0.375em + 0.1875rem);
}

.was-validated .form-select:invalid, .form-select.is-invalid {
  border-color: #dc3545;
}
.was-validated .form-select:invalid:not([multiple]):not([size]), .was-validated .form-select:invalid:not([multiple])[size="1"], .form-select.is-invalid:not([multiple]):not([size]), .form-select.is-invalid:not([multiple])[size="1"] {
  padding-right: 4.125rem;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e"), url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
  background-position: right 0.75rem center, center right 2.25rem;
  background-size: 16px 12px, calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}
.was-validated .form-select:invalid:focus, .form-select.is-invalid:focus {
  border-color: #dc3545;
  box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, 0.25);
}

.was-validated .form-check-input:invalid, .form-check-input.is-invalid {
  border-color: #dc3545;
}
.was-validated .form-check-input:invalid:checked, .form-check-input.is-invalid:checked {
  background-color: #dc3545;
}
.was-validated .form-check-input:invalid:focus, .form-check-input.is-invalid:focus {
  box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, 0.25);
}
.was-validated .form-check-input:invalid ~ .form-check-label, .form-check-input.is-invalid ~ .form-check-label {
  color: #dc3545;
}

.was-validated .form-control:valid, .form-control.is-valid {
  /* border-color: #198754; */
  /* padding-right: calc(1.5em + 0.75rem); */
  /* background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23198754' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e"); */
  /* background-repeat: no-repeat; */
  /* background-position: right calc(0.375em + 0.1875rem) center; */
  /* background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem); */
}

button.button.fullwidth_block, button.fullwidth_block {
	width: 100%;
	text-align: center;
	-webkit-transition: all .5s ease 0;
	transition: all .5s ease 0;
	transition: all 0.5s ease 0s;
}

@media (max-width: 767.98px) {
  .web_only {
    display:none;
  }

	ul.main_popular_categories_list li a {
		background: rgba(255, 255, 255, 0.07);
		position: relative;
		width: 150px;
		height: 125px;
		display: block;
		overflow: hidden;
		color: #ffffff;
		border-radius:6px;
		padding: 7px;
		-webkit-transition: all .25s ease-in-out;
		transition: all .25s ease-in-out;
	}
}

@media only screen and (max-width: 979px) and (min-width: 768px) {
  ul.main_popular_categories_list li a {
    width: 200px;
  }
}

@media (min-width: 1240px) {
	.mobile_only {
    display:none;
  }

	ul.main_popular_categories_list li a {
		background: rgba(255, 255, 255, 0.07);
		position: relative;
		width: 250px;
		height: 110px;
		display: block;
		overflow: hidden;
		color: #ffffff;
		border-radius:6px;
		padding: 7px;
		-webkit-transition: all .25s ease-in-out;
		transition: all .25s ease-in-out;
	}
}


/* ------------------------------------------------------------------------------------------------------------------- */
/* CUSTOM SELECT2 */
/* ------------------------------------------------------------------------------------------------------------------- */
.select2 {
  width: 100% !important;

	/* height: 40px; */
	/* line-height: 40px; */
	/* padding: 0 15px; */
	/* outline: none; */
	/* font-size: 15px; */
	/* color: #808080; */
	/* margin: 0 0 3px 0; */
	/* max-width: 100%; */
	/* width: 100%; */
	/* box-sizing: border-box; */
	/* display: block; */
	/* background-color: #fff; */
	/* border: 1px solid #dbdbdb; */
	/* box-shadow:0 4px 8px 0 rgba(0,0,0,0.03); */
	/* font-weight: 300; */
	/* opacity: 1; */
	/* border-radius: 4px; */
}

.select2-container--default .select2-selection--single,
.select2-container--default .select2-selection--multiple {
  border-color: #E5E5E5;
}

.select2-dropdown {
  border-color: #E5E5E5;
}

.select2-search--dropdown:before {
  color: #627ca0;
}

.select2-results__message {
  color: #627ca0 !important;
}

.select2-container--open .select2-dropdown--above {
  border-color: #627ca0;
}

.select2-container--open .select2-dropdown--below {
  border-color: #627ca0;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
  color: #495057;
  background-color: #fff;
  border-color: #E5E5E5;
  -webkit-box-shadow: inset 0 0.25rem 0.125rem 0 rgba(33, 37, 41, 0.025);
	box-shadow: inset 0 0.25rem 0.125rem 0 rgba(33, 37, 41, 0.025);
}

.select2-container--default .select2-search--dropdown .select2-search__field:focus {
    border-color: #cccccc;
}

.select2-container--default .select2-results__group {
  padding: 0.5rem 0;
  color: #8e8e8e;
}

.select2-container--default .select2-results__option[aria-selected=true] {
  background: #dbe1e9;
  color: #3b4b61;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
  background-color: #627ca0;
  color: #fff;
}

.select2-container--default.select2-container--open.select2-container--below .select2-selection--single,
.select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple,
.select2-container--default.select2-container--open.select2-container--above .select2-selection--single,
.select2-container--default.select2-container--open.select2-container--above .select2-selection--multiple {
  border-color: #627ca0;
}

.select2-container--default.select2-container--focus .select2-selection--single,
.select2-container--default.select2-container--focus .select2-selection--multiple {
  border-color: #627ca0;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
  background: #dbe1e9;
  border-color: #7289aa;
  color: #3b4b61;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove {
	color: #8297b3;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove:hover {
	color: #627ca0;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove:active {
	-webkit-box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15) inset;
	box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15) inset;
}

.select2-container--default .select2-selection--single .select2-selection__clear {
  color: #Be2d2d;
}

.select2-container--default .select2-selection--single .select2-selection__clear:hover {
	color: #a92828;
}

.select2-results__message {
  color: #Be2d2d;
}

.sorting_asc,
.sorting_desc,
.even .sorting_1 {
  background-color: rgba(98, 124, 160, 0.03);
}

.odd .sorting_1 {
  background-color: rgba(98, 124, 160, 0.04);
}

.select2-container {
	margin:0;
	position:relative;
	display:inline-block;
	zoom:1;
	display:inline;
	vertical-align:middle
}

.select2-container,.select2-drop,.select2-search,.select2-search input {
	-webkit-box-sizing:border-box;
	-moz-box-sizing:border-box;
	box-sizing:border-box
}

.select2-container .select2-choice,.select2-selection {

	height: 50px;
	line-height: 50px;
	background-color: #fff;
	color: #808080;

	/* padding: 0 15px; */
	/* outline: none; */
	/* font-size: 15px; */
	/* margin: 0 0 3px 0; */
	/* max-width: 100%; */
	/* width: 100%; */
	/* box-sizing: border-box; */
	/* display: block; */
	/* border: 1px solid #dbdbdb; */
	/* box-shadow:0 4px 8px 0 rgba(0,0,0,0.03); */
	/* opacity: 1; */
	/* border-radius: 4px; */

	font-weight: 300;
	display:block;
	padding:0 8px;
	overflow:hidden;
	position:relative;
	border:1px solid #ccc;
	white-space:nowrap;
	/* color:#444; */
	text-decoration:none;
	background-clip:padding-box;
	-webkit-touch-callout:none;
	-webkit-user-select:none;
	-moz-user-select:none;
	-ms-user-select:none;
	user-select:none;
}
.smart-rtl .select2-container .select2-choice,.smart-rtl .select2-selection {
	text-align:right;
	margin-right:-1px;
}

.select2-container--above .select2-selection,.select2-container.select2-drop-above .select2-choice {
	border-bottom-color:#ccc;
}

.select2-container.select2-allowclear .select2-choice .select2-chosen {
	margin-right:42px;
	padding: 0 15px;
}

.select2-container .select2-choice>.select2-chosen {
	margin-right:26px;
	display:block;
	overflow:hidden;
	white-space:nowrap;
	text-overflow:ellipsis
}

.select2-container .select2-choice abbr {
	display:none;
	width:12px;
	height:12px;
	position:absolute;
	right:24px;
	top:12px;
	font-size:1px;
	text-decoration:none;
	border:0;
	cursor:pointer;
	outline:0
}

.select2-container.select2-allowclear .select2-choice abbr {
	display:inline-block
}

.select2-container .select2-choice abbr:hover {
	cursor:pointer
}

.select2-drop-mask {
	border:0;
	margin:0;
	padding:0;
	position:fixed;
	left:0;
	top:0;
	min-height:100%;
	min-width:100%;
	height:auto;
	width:auto;
	opacity:0;
	z-index:9998;
	background:#fff;
	filter:alpha(opacity=0)
}

.select2-drop,.select2-dropdown {
	margin-top:-1px;
	width:100%;
	position:absolute;
	z-index:9999;
	top:100%;
	background:#fff;
	color:#000;
	border:1px solid #ccc;
	border-top:0;
	left:0;
	-webkit-box-shadow:0 4px 5px rgba(0,0,0,.15);
	box-shadow:0 4px 5px rgba(0,0,0,.15)
}
.smart-rtl .select2-drop,.smart-rtl .select2-dropdown {
	direction:rtl;
	text-align:right
}

.select2-drop-auto-width {
	border-top:1px solid #ccc;width:auto
}

.select2-container--open .select2-dropdown--above .select2-search,.select2-drop-auto-width .select2-search {
	padding-top:4px
}

.select2-container--open .select2-dropdown.select2-dropdown--above,.select2-drop.select2-drop-above {
	margin-bottom:0;
	border-top:1px solid #5D98CC;
	border-top-width:3px;
	border-bottom:0;
	margin-top:1px;
	-webkit-box-shadow:0 -4px 5px rgba(0,0,0,.15);
	box-shadow:0 -4px 5px rgba(0,0,0,.15)
}

.select2-container--open .select2-dropdown,.select2-drop-active {
	border:1px solid #5D98CC;
	border-top:none;
	border-bottom-width:3px
}

.select2-results li {
	padding: 0 15px;
}

.select2-results .select2-highlighted {
  background: #989898 !important;
  color: #fff;
}

.form-control:disabled, .form-control[readonly] {
  background-color: #f3f3f3;
  opacity: 1;
}

.link-auth-login {
	margin-top: 0;
	font-weight: 500;
  font-size: 18px;
  line-height: 24px;
  margin-bottom: 10px;
  color: #989898;
}

.link-auth-register {
  margin-top: 20px;
  font-weight: 500;
  font-size: 18px;
  line-height: 24px;
  margin-bottom: 0;
  color: #989898;
}


.utf_listing_item-container.list-layout .utf_listing_item-image {
	margin: 10px;

}

.utf_box_widget {
	margin: 10px;
}

/* ------------------------------------------------------------------------------- */
/* CUSTOM SWEETALERT2
/* ------------------------------------------------------------------------------- */
/* Semua popup Swal */
.swal2-popup {
  font-size: 1.5rem !important; /* Perbesar teks default */
  width: 400px !important;      /* Atur lebar default */
  padding: 1.0em !important;    /* Tambah ruang */
  border-radius: 12px !important;
}

/* Judul */
.swal2-title {
  font-size: 2rem !important;
  font-weight: 600;
}

/* Isi / text */
.swal2-html-container {
  font-size: 1.5rem !important;
}

/* Tombol */
.swal2-styled.swal2-confirm {
  font-size: 1.5rem !important;
  padding: 8px 20px !important;
}

/* Hanya swal loading */
.swal-loading-popup {
  width: 350px !important;
  border-radius: 10px;
  padding: 1.2em !important;
}

.swal-loading-title {
  font-size: 1.5rem !important;
  font-weight: 500;
  color: #444;
}

.swal-loading-text {
  font-size: 1.5rem !important;
  color: #555;
}

/* Tambah animasi biar smooth */
.swal-loading-text {
  animation: pulse 1.5s infinite;
}

@keyframes pulse {
  0%   { opacity: 0.6; }
  50%  { opacity: 1; }
  100% { opacity: 0.6; }
}